/* Aashritha Ananthula, AXA180116, CS 6314 section 1  */

* {
    margin: 0;
    font-family: 'Garamond', Arial, sans-serif;
}

/* Header */
.header {
    background-color: #04AA6D;
    width: 100%;
    height: 50px;

    display: flex;
    justify-content: left;
    align-items: center;

    margin: 0;
    padding-left: 30px;   
}

.logo-wrapper{
    width: 40px;
    height: 40px;
    padding-right: 20px;
}

.user-wrapper{
    width: 40px;
    height: 40px; 
    padding-left: 1%; 
}

.logo-img{
    width: 100%;
    height: 100%;
    /* horizontal-align: middle; */
    background-size: cover;
    transition: background-image 0.2s ease-in-out;
    border: 10px soli6d #04AA6D;
    background-image: url('../img/util/leaf-icon.png');
}

.logo-img:hover {
    background-image: url('../img/util/hover-logo.png');
}

.user-img{
    width: 100%;
    height: 100%;
    background-size: cover;
    transition: background-image 0.2s ease-in-out;
    border: 1px solid #04AA6D;
    background-image: url('../img/util/user-icon.png'); 
    
}

.user-img:hover{
    background-image: url('../img/util/hover-user.png');
}



.logo{
    width: auto;
    height: 40px;

    background-image: url(./leaf-icon.png);
    background-size: auto 40px;
    padding-right: 20px;
}

.header h1 {
    color: white;
}

/* Footer */

.footer {
    clear:both;
    background-color: #04AA6D;
    color: white;
    width: 100%;
    height: 50px;
    position: relative;
    bottom: 0px; 
    background-image: url("../img/util/footer-img.jpeg"); 
    background-repeat: repeat;
    opacity: 0.8;
}

.name-info{
    display: flex;
    justify-content: end;
    align-items: center;
    padding: 12px;
}

.footer p {
    font-size: 18px; 
    font-weight: bold;
}

/* Add a black background color to the top navigation */
.topnav {
    width: 100%;
    height: 50px;
    /* background-color: #333; */
    overflow: hidden;
    box-shadow: 0 4px 4px -3px gray;
}

/* Style the links inside the navigation bar */
.topnav a {
    float: left;
    display: block;
    /* color: #f2f2f2; */
    color: black;
    text-align: center;
    text-shadow: 0px 0px 0.1px black;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
}

.topnav a:hover {
    /* background-color: #ddd; */
    color: #FFD400;
}


.topnav a.active {
    /* background-color: #04AA6D; */
    color: #04AA6D;
}

.topnav .icon {
    display: none;
}

/* Main Content */
.main {
    /* background-color: aquamarine; */
    background-color: #D0FBE1;
    float: right;
    width: 73%;
    height: auto;
    min-height: 83vh;
    text-align: center;
    /* border-radius: 20px; */
    margin-left: 0rem;
    margin-right: 0.5%;
    margin-top: 1%; 
    margin-bottom: 0.5%; 
}

.main h3{
    color: #306D4E;
    text-align: center;
    padding-top: 50px;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
    font-size: 40px;
}

/* Main Section search bar */
.search-container {
    display: flex;
    
    justify-content: center;
}

.search-input {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 10px 0 0 10px;
    font-size: 16px;
    width: 300px;
    margin-top: 20px;
    margin-bottom: 20px;
}

.search-button {
    padding: 8px 16px;
    background-color: #306D4E;
    border: none;
    border-radius: 0 10px 10px 0;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    margin-top: 20px;
    margin-bottom: 20px;
}

#message{
    color: red;
}

/* Main section item cards */

.item-wrapper{
    max-width: 100%;
    overflow-x: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
}

.item-card {
    background-color: white;
    padding: 10px;
    text-align: center;
    margin: 10px;
    max-width: 250px;
    box-shadow: 0 2px 4px #306D4E; 
}

.item-card img {
    width: 250px;
    height: 220px; 
    object-fit: cover; 
}

.item-card h2 {
    margin: 10px 0;
}

.item-card p {
    margin-bottom: 10px;
}

.price {
    font-weight: bold;
    color: #007bff;
}

.item-wrapper{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

/* Counter */
.counter {
    padding-top: 5px;
    width: 100px;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}
.counter input {
    width: 33px;
    border: 0;
    line-height: 25px;
    font-size: 20px;
    text-align: center;
    border: 3px solid #306D4E;
    border-radius: 10px;
    background: white;
    color: #306D4E;
    appearance: none;
    outline: 0;
}
.counter span {
    display: block;
    font-size: 20px;
    padding: 0 10px;
    cursor: pointer;
    color: #306D4E;
    user-select: none;
}

.add-to-cart {
    display: block;
    margin: 10px auto;
    padding: 8px 16px;
    background-color: #306D4E;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
    transition: background-color 0.3s;
}

.add-to-cart:hover {
    background-color: #FFD400;
}

.add-to-cart:active {
    background-color: #FC8C79;
    
}


/* Side Content */
.side {
    background-color: #F9F1CB;
    color: white;
    float: left;
    width: 25%;
    height: auto;
    min-height: 83vh;
    /* border-radius: 20px; */
    margin-left: 0.5%;
    margin-right: 0rem;
    margin-top: 1%; 
    margin-bottom: 0.5%;  
    position: sticky;
    top: 0;
}

li {
    list-style-type: none;
}

p {
    margin-left: 15px;
    margin-right: 15px;
}

a{
    
    text-decoration: none;
    
}

a:visited {
    color: #005246; /* Change the color of visited link*/
}

.time-container{
    font-size: 6px;
    padding: 10px;
    padding-left: 70%;
    
}


.main{
    display: flex;
    align-items: center;
    flex-direction: column;
}
